using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace sudaranjeBrojeva
{
    class Program
    {
        static void Main(string[] args)
        {
            int x = int.Parse(Console.ReadLine());
            int y = int.Parse(Console.ReadLine());

            string rezultat = "";

            int n = 0, m = 0;
            int pom1 = x, pom2 = y;

            while (pom1 > 0)
            {
                pom1 /= 10;
                n++;
            }

            while (pom2 > 0)
            {
                pom2 /= 10;
                m++;
            }

            if (n > m)
            {
                while (x > 0)
                {
                    int pomx = x % 10;
                    int pomy = y % 10;
                    
                    if (pomx > pomy)
                    {
                        rezultat = pomx.ToString() + rezultat;
                    }
                    else if (pomx < pomy)
                    {
                        rezultat = pomy.ToString() + rezultat;
                    }
                    else if (y == 0)
                    {
                        rezultat = pomy.ToString() + rezultat;
                    }
                    else if (pomx == pomy && y != 0)
                    {
                        rezultat = pomx.ToString() + rezultat;
                        rezultat = pomx.ToString() + rezultat;
                    }

                    x /= 10;
                    y /= 10;
                }
            }
            else
            {
                while (y > 0)
                {
                    int pomx = x % 10;
                    int pomy = y % 10;
                    x /= 10;
                    y /= 10;
                    if (pomx > pomy)
                    {
                        rezultat = pomx.ToString() + rezultat;
                    }
                    else if (pomx < pomy)
                    {
                        rezultat = pomy.ToString() + rezultat;
                    }
                    else if (x == 0)
                    {
                        rezultat = pomy.ToString() + rezultat;
                    }
                    else if (pomx == pomy && x != 0)
                    {
                        rezultat = pomx.ToString() + rezultat;
                        rezultat = pomx.ToString() + rezultat;
                    }
                }
            }

            Console.WriteLine(rezultat);
            //Console.ReadKey();
        }
    }
}